GET

/v1/schemas/fal/video/fal-ai/sadtalker/reference?kind=output

kind outputactivity videohash e3d6b014…extracted Jul 6, 2026version currentsource upstream spec ↗
fieldrecorded source
schemaSource linked above.
Source trace
d703b4356edd8b147d5f493ee392c1a500fc6c030d3ad2628a2c3748f84978e7
{
  "fetchedAt": 1783331098,
  "extractorVersion": "1",
  "verifiedAt": null
}

Response body

1 properties · 1 required · 1 $defs
propertytypedescriptionconstraints
video*FileURL of the generated video

Types

1 $defs

Fileobject

file_namestringThe name of the file. It will be auto-generated if not provided.nullable
file_sizeintegerThe size of the file in bytes.nullable
content_typestringThe mime type of the file.nullable
url*stringThe URL where the file can be downloaded from.

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/sadtalker/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}